#include<bits/stdc++.h>
using namespace std;\
ifstream f1("BAI3_16.inp");
ofstream f2("BAI3_16.out");
int main()
{
	long long n,i;
	f1>>n;
	long long a[100000],d[100000];
	for(i=1;i<=n;i++)
	{
	f1>>a[i];
	d[a[i]]=1;
	}
	for(i=1;i<=100000;i++)
	{
		if(d[i]==0)
		{
			f2<<i;
			break;
		}
	}
}
